Subject: bug#52479: 27.2; EDebugging stops when breakpoint condition can not be printed

From: Петров Андрей <[email-masked]>
Date: Wed, 15 Dec 2021 07:01:55 +0000

Michael,

> Hmm, that calls `report-emacs-bug-insert-to-mailer'.  You have set up a
> mailer on your system and it works all fine?  If you think Emacs is not
> behaving here, can you please create a separate report? - that this
> works is very important.  Maybe you can already give debugging a try?

I did not. I think this is the reason why it did not work for me. Thank you!

I think the following changes (or similar) would help to avoid such misunderstandings:

--- /usr/share/emacs/27.2/lisp/mail/emacsbug.el.gz
+++ #<buffer emacsbug.el.gz>
@@ -114,7 +114,8 @@
            (start-process "xdg-email" nil "xdg-email"
                           "--subject" subject
                           "--body" body
-                          (concat "mailto:" to)))
+                          (concat "mailto:" to))
+           (display-buffer-below-selected (get-buffer "xdg-email") nil))
        (error "Subject, To or body not found")))))

 (defvar report-emacs-bug--os-description nil

Diff finished.  Wed Dec 15 11:58:39 2021

Andrey.

________________________________________
От: Michael Heerdegen <[email-masked]>
Отправлено: 15 декабря 2021 г. 10:26:38
Кому: Петров Андрей
Копия: [email-masked]
Тема: Re: bug#52479: 27.2; EDebugging stops when breakpoint condition can not be printed

Петров Андрей <[email-masked]> writes:

> Hello, team!

Hello - thanks for your (very well done and pleasant to read!) report.

> Debugger entered--Lisp error: (error "Apparently circular structure being printed")
>   apply(debug error (error "Apparently circular structure being printed"))
>   edebug(error (error "Apparently circular structure being printed"))
>   signal(error ("Apparently circular structure being printed"))
>   edebug-signal(error ("Apparently circular structure being printed"))
>   message("Break: %s => %s" filtered (#<field field-157aa078be4c>))

Another symptom of printing the wrong way, similar to bug#52222.
Printing with `edebug-safe-prin1-to-string' should fix it and be the
right thing, right?

> P.S. I could not copy the text from emacs with C-c M-i according to hint:
> While in the mail buffer:

>   Type C-c C-c to send the bug report.
>   Type C-x k RET to cancel (don’t send it).
>   Type C-c M-i to copy text to your preferred mail program.   <----

Hmm, that calls `report-emacs-bug-insert-to-mailer'.  You have set up a
mailer on your system and it works all fine?  If you think Emacs is not
behaving here, can you please create a separate report? - that this
works is very important.  Maybe you can already give debugging a try?

Thanks,

Michael.